Katello - Bug #6987

hammer host-collection fails to set specified host collection limit
08/07/2014 11:28 AM - dustin tsang

Status: Closed
Priority: Normal
Assignee: dustin tsang
Category: Hammer
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1122716 Red Hat JIRA:
Pull request: https://github.com/Katello/hammer-cli-kat
ello/pull/217
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1122716
Description of problem:
hammer host-collection fails to set specified host collection limit

Version-Release number of selected component (if applicable):

apr-util-ldap-1.3.9-3.el6_0.1.x86_64
candlepin-0.9.19-1.el6_5.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.9.19-1.el6_5.noarch
candlepin-tomcat6-0.9.19-1.el6_5.noarch
elasticsearch-0.90.10-4.el6sat.noarch
foreman-1.6.0.29-1.el6sat.noarch
foreman-compute-1.6.0.29-1.el6sat.noarch
foreman-gce-1.6.0.29-1.el6sat.noarch
foreman-libvirt-1.6.0.29-1.el6sat.noarch
foreman-ovirt-1.6.0.29-1.el6sat.noarch
foreman-postgresql-1.6.0.29-1.el6sat.noarch
foreman-proxy-1.6.0.21-1.el6sat.noarch
foreman-selinux-1.6.0-8.el6sat.noarch
foreman-vmware-1.6.0.29-1.el6sat.noarch
katello-1.5.0-27.el6sat.noarch
katello-ca-1.0-1.noarch
katello-certs-tools-1.5.6-1.el6sat.noarch
katello-installer-0.0.56-1.el6sat.noarch
openldap-2.4.23-32.el6_4.1.x86_64
pulp-katello-0.3-3.el6sat.noarch
pulp-nodes-common-2.4.0-0.23.beta.el6sat.noarch
pulp-nodes-parent-2.4.0-0.23.beta.el6sat.noarch
pulp-puppet-plugins-2.4.0-0.23.beta.el6sat.noarch
pulp-puppet-tools-2.4.0-0.23.beta.el6sat.noarch
pulp-rpm-plugins-2.4.0-0.23.beta.el6sat.noarch
pulp-selinux-2.4.0-0.23.beta.el6sat.noarch
pulp-server-2.4.0-0.23.beta.el6sat.noarch
python-ldap-2.3.10-1.el6.x86_64
ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch
How reproducible:
Always

Steps to Reproduce:
https://bugzilla.redhat.com/show_bug.cgi?id=1122716

1. hammer host-collection create --organization-id=3 --name=testcollection4 --max-content-hosts=3
Host collection created

Actual results:
Checking the newly created host-collection in Ul shows Unlimited content hosts limit. But click on the Edit icon for Content Host Limit
- there it defaults to 3 as | specified in my hammer command.

Expected results:
hammer should set the required content host limit

Additional info:

Associated revisions

Revision 7a10e988 - 08/07/2014 01:21 PM - dustin tsang

Fixes #6987 - set unlimited_content_hosts

creation of host-collections with the --max-content-hosts flag also
sets the unlimited_content_host flag.

Revision 2d0f0037 - 08/13/2014 04:03 PM - dustin tsang

Merge pull request #217 from dustint-rh/hc_set_unlimited

Fixes #6987 - set unlimited_content_hosts

History

#1 - 08/07/2014 11:41 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 54

- Pull request https://github.com/Katello/hammer-cli-katello/pull/217 added
- Pull request deleted ()

#2 - 08/07/2014 03:51 PM - Eric Helms

- Triaged changed from No to Yes

#3 - 08/13/2014 05:01 PM - dustin tsang
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset hammer-cli-katello|7a10e9885aa912600f97148dc9d2dd05d2d45e2e.

#4 - 08/22/2014 09:25 AM - Eric Helms

- translation missing: en.field_release set to 13
